/* bootstrap helpers */

:root {
  --grayishBlue: hsl(229, 6%, 66%);
  --wvblue: #021b44;
  --wvgold: #fcb10e;
}

.nav-link:link {
  color: var(--wvblue);
}

.nav-link:visited {
  color: var(--wvblue);
}

.nav-link:hover {
  color: var(--wvblue);
  text-decoration: underline;
}

.nav-link:active {
  color: var(--wvblue);
}

.nav-link.active {
  color: var(--wvblue);
  text-decoration: underline;
}

.link-body-emphasis {
  color: var(--wvblue) !important;
}

.bg-body-gold {
  background-color: var(--wvgold);
}

.bg-body-blue {
  background-color: var(--wvblue);
  ;
}

.text-bg-mygray {
  background-color: #E1E1E1;
}

.border-blue {
  border-color: var(--wvblue) !important;
}

.navbar-nav {
  font-size: 1.25em;
  font-family: "Oswald", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.color-blue {
  color: var(--wvblue);
}

.color-white {
  color: #fff;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Oswald", sans-serif;
  color: var(--wvblue);
  ;
}

.btn-gold {
  background-color: var(--wvgold);
  color: var(--wvblue);
  font-weight: 600;
}

.btn-gold:hover {
  background-color: #FBD27B;
}

.hr-underline {
  border: none;
  height: 1px;
  /* background: #021B44; */
  background-image: linear-gradient(to right, var(--wvblue) 0%, transparent 90%);
  opacity: 1;
}

.flex-even {
  flex: 1;
}

/* header.php */

.gamebar {
  background-color: #E2E3E5;
  border-bottom: 1px solid #D2D2D2;
  font-weight: 500;
}

/* footer.php */

.footer-links {
  font-family: "Oswald", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.footer-links a:link {
  color: var(--wvgold);
}

.footer-links a:visited {
  color: var(--wvgold);
}

.footer-links a:hover {
  color: #fff;
}

.footer-links a:active {
  color: var(--wvgold);
}

/* index.php */

.rotate-text,
.rotate-text-neg {
  transform: rotate(90deg);
  transform-origin: bottom left;
  text-align: left;
  font-size: 5em;
  margin: 0;
  margin-top: -0.8em;
}

.rotate-text-neg {
  transform: rotate(-90deg);
  transform-origin: bottom right;
  margin: 0;
  margin-top: 0.2em;
}

.sponsors img {
  max-height: 80px;
  margin: 1em;
}

.results table {
  font-size: 0.9em;
}

.card-news {
  border: none;
}

.card-304 {
  border-radius: 6px;
  /* box-shadow: 0px 30px 40px -20px var(--grayishBlue);
  margin: 0 20px 20px 20px; */
  border: 1px solid #ddd;
  border-top: 4px solid var(--wvgold);
  ;
  border-bottom: 4px solid var(--wvblue);
  ;
  padding: 14px 14px 0 14px;
}

/* players.php */

.btn-304 {
  background-color: var(--wvblue);
  color: #fff;
  font-weight: 600;
}

.btn-304:hover {
  background-color: var(--wvgold);
}

.table-stats th {
  text-align: center;
}

.card-player {
  background-color: #F0F0F0;
  transition: height 0.5s ease;
  overflow: hidden;
}

.card-player img {
  border: 2px solid var(--wvgold);
  padding: 0.2em;
  max-height: 140px;
}

.card-player-modal img {
  max-height: none;
}

.player-number {
  font-family: "JetBrains Mono", monospace;
  font-optical-sizing: auto;
  font-weight: 800;
  font-style: normal;
  font-size: 5.8em;
  line-height: 0.8;
  color: #AAAAAA;
  letter-spacing: -0.05em;
  margin-top: 0.1em;
}

.player-fname {
  font-size: 2.7em;
  font-weight: normal;
  line-height: 0.85;
  color: #4B4B4B;
}

.player-lname {
  font-size: 2.7em;
  font-weight: bold;
  line-height: 0.85;
  color: #4B4B4B;
}

.table-bio th,
.table-bio td {
  background-color: #F0F0F0;
}

@media (max-width: 575.98px) {
  .card-player img {
    border: 2px solid var(--wvgold);
    padding: 0.2em;
    max-height: 120px;
  }

  .card-player-modal img {
    max-height: none;
  }

  .player-number {
    font-size: 3.2em;
    line-height: 1;
    font-weight: bold;
    color: #AAAAAA;
  }

  .player-fname {
    font-size: 1.5em;
    font-weight: normal;
    line-height: 0.85;
    color: #4B4B4B;
  }

  .player-lname {
    font-size: 1.5em;
    font-weight: bold;
    line-height: 0.85;
    color: #4B4B4B;
  }

  .table-bio>:not(caption)>*>* {
    padding: .25rem;
  }
}

@media (min-width: 576px) and (max-width: 1199.98px) {
  .card-player img {
    border: 2px solid var(--wvgold);
    padding: 0.2em;
    max-height: 120px;
  }

  .card-player-modal img {
    max-height: none;
  }

  .player-number {
    font-size: 4.4em;
    line-height: 0.85;
    font-weight: bold;
    color: #AAAAAA;
  }

  .player-fname {
    font-size: 2.0em;
    font-weight: normal;
    line-height: 0.85;
    color: #4B4B4B;
  }

  .player-lname {
    font-size: 2.0em;
    font-weight: bold;
    line-height: 0.85;
    color: #4B4B4B;
  }
}


/* coaches.php */

/* .image-area {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  position: absolute;
} */

.img-wrapper {
  position: relative;
  overflow: hidden;
  border: 2px solid var(--wvblue);
}

.img-wrapper:before {
  content: '';
  position: absolute;
  top: 0;
  left: 180%;
  height: 100%;
  width: 100%;
  background: rgba(255, 255, 255, .3);
  z-index: 1;
  transform: skew(45deg);
  transition: .5s;
}

.img-wrapper:hover:before {
  left: -180%;
}

.img-wrapper img {
  filter: grayscale(100%);
  transition: 2s;
}

.img-wrapper:hover img {
  filter: grayscale(0%);
  transform: scale(1.1);
}

.img-wrapper h4 {
  background: var(--wvgold);
  color: var(--wvblue);
  text-align: center;
  margin: 0;
  padding: 10px 0;
  position: absolute;
  bottom: 0;
  width: 100%;
  transform: perspective(400px) rotateY(90deg);
  transform-origin: right;
  transition: 0.7s;
  border-top: 2px solid var(--wvblue);
  opacity: 0.85;
}

.img-wrapper:hover h4 {
  transform: perspective(400px) rotateY(0deg);
}

.img-wrapper ul {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  list-style: none;
  background: rgba(255, 255, 255, 0);
}

.img-wrapper ul li {
  background: #333;
  font-size: 1.5em;
  height: 40px;
  width: 40px;
  text-align: center;
  line-height: 40px;
  transform: perspective(800px) rotateY(90deg);
  transition: .5s;
  transform-origin: left;
}

.img-wrapper:hover ul li {
  transform: perspective(800px) rotateY(0deg);
}

.img-wrapper:hover ul li:nth-child(1) {
  transition-delay: .2s;
}

.img-wrapper:hover ul li:nth-child(2) {
  transition-delay: .6s;
}

.img-wrapper:hover ul li:nth-child(3) {
  transition-delay: .8s;
}

.img-wrapper:hover ul li:nth-child(4) {
  transition-delay: 1s;
}

.img-wrapper ul li a {
  color: var(--wvgold);
  background: rgba(255, 255, 255, 0);
}

.img-wrapper ul li i {
  color: var(--wvgold);
  background: rgba(255, 255, 255, 0);
}

.img-wrapper ul li i:hover {
  color: #fff;
  background: rgba(255, 255, 255, 0);
}

/* parentinfo.php */

.angled-section {
  /* background-color: #0a2342; */
  /* dark blue frame */
  background-color: #e5e5e5;
  /* light gray background frame */
  padding: 0;
}

/* IMAGE PANEL */
.angled-section {
  /* border-top: 5px solid var(--wvblue); */
  border-bottom: 5px solid var(--wvblue);
}

.angled-image {
  position: relative;
  overflow: hidden;
}

.angled-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  background-color: var(--wvgold);
  z-index: 1;
}

.overlay-left {
  position: absolute;
  top: 0;
  left: -60px;
  width: 160px;
  height: 100%;
  background-color: #ffffff70;
  z-index: 3;
  transform: skewX(-15deg);
}

.overlay-left::before {
  content: "";
  position: absolute;
  top: 0;
  left: -40px;
  width: 120px;
  height: 100%;
  background: #e5e5e5;
  left: 0;
  z-index: 3;
}

.overlay-right {
  position: absolute;
  top: 0;
  right: -3px;
  width: 100px;
  height: 100%;
  background-color: #ffffff70;
  z-index: 3;
  transform: skewX(-15deg);
}

.overlay-right::after {
  content: "";
  position: absolute;
  top: 0;
  left: 40px;
  width: 120px;
  height: 100%;
  background: #e5e5e5;
  z-index: 3;
}

/* .overlay-left {
  background: #e5e5e5;
  left: 0;
} */




/* TEXT PANEL */
.angled-text {
  position: relative;
  background: #e5e5e5;
  color: #0a2342;
}



@media (max-width: 1199.98px) {

  /* Left slanted edge on text */
  .angled-text::before {
    display: none;
  }
}

.card-body-location {
  position: relative;
  z-index: 5;
}

.card-body-location::after {
  content: "";
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('/img/map_bg.jpg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  opacity: 0.3;
}

.location {
  position: relative;
  z-index: 6;
}

.btn-forms {
  background-color: #F8F8F8;
  border: 1px solid #D2D2D2;
  color: var(--wvblue);
  transition: all 0.4s;
}

a.btn-forms:hover {
  background-color: #D2D2D2;
  border: 1px solid var(--wvblue);
}

.forms-icon {
  background-color: var(--wvblue);
  color: white;
  width: 1.8em;
  height: 1.8em;
}

/* contact.php */

.contact-card {
  color: var(--wvblue);
}

a.contact-card-icon:link {
  font-size: 5em;
  color: var(--wvblue);
  background-color: #E1E1E1;
  border: 2px solid #E1E1E1;
  transition: border 0.7s, color 0.7s;
}

a.contact-card-icon:visited {
  font-size: 5em;
  color: var(--wvblue);
  background-color: #E1E1E1;
  border: 2px solid #E1E1E1;
}

a.contact-card-icon:hover {
  font-size: 5em;
  color: #0654D2;
  background-color: #E1E1E1;
  border: 2px solid #0654D2;
}

a.contact-card-icon:active {
  font-size: 5em;
  color: var(--wvblue);
  background-color: #E1E1E1;
  border: 2px solid #E1E1E1;
}

/* calendar.php */

.clearfix::after,
.calendar ol::after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}

.calendar {
  border-radius: 10px;
}

.calendar ol {
  margin-bottom: 0;
}

.calendar ol li {
  float: left;
  width: 14.28571%;
}

.calendar .day-names {
  border-bottom: 1px solid #eee;
}

.calendar .day-names li {
  text-transform: uppercase;
  margin-bottom: 0.5rem;
}

.calendar .days li {
  border-bottom: 1px solid #eee;
  height: 8rem;
  padding-left: 0.3em;
  overflow: auto;
}

.calendar .days li .date {
  margin: 0.5rem 0;
}

.calendar .days li .event {
  font-size: 0.75rem;
  padding: 0.4rem;
  color: white;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  border-radius: 4rem;
  margin-bottom: 1px;
}

.calendar .days li .event.span-2 {
  width: 200%;
}

.calendar .days li .event.begin {
  border-radius: 1rem 0 0 1rem;
}

.calendar .days li .event.end {
  border-radius: 0 1rem 1rem 0;
}

.calendar .days li .event.clear {
  background: none;
}

.calendar .days li.outside .date {
  color: #ddd;
}

.isToday {
  background-color: var(--wvgold);
}

.isBeforeToday {
  background-color: #F5F5F5;
}

.eventTime,
.eventTimePassed {
  font-size: 0.75em;
  border-left: 4px solid var(--wvgold);
  margin: 0.2em 0;
  padding: 0 0.2em 0 0.3em;
  border-radius: 0 4px 4px 0;
  background-color: #fff;
  -webkit-transition: background-color 0.5s ease-out;
  -moz-transition: background-color 0.5s ease-out;
  -o-transition: background-color 0.5s ease-out;
  transition: background-color 0.5s ease-out;
}

.eventTime:hover {
  background-color: #E1E1E1;
}

.eventTime a:link {
  text-decoration: none;
}

.eventTimePassed {
  border-left: 4px solid gray;
}

.dayNum {
  font-size: 1.2em;
  font-weight: bold;
}

.dayTxt {
  text-transform: uppercase;
}

.table-calendar {
  width: 100%;
  table-layout: fixed;
  border: none;
}

.table-calendar th {
  background: var(--wvblue);
  border: 2px solid #ddd;
  color: white;
  padding: 8px;
}

.table-calendar td {
  border: 2px solid #ddd;
  vertical-align: top;
  height: 110px;
  padding: 6px;
}

td.outside {
  background-color: #ddd;
}

.daynum {
  font-weight: bold;
  margin-bottom: 6px;
  display: block;
}

.event {
  margin: 2px 0;
  padding: 2px 4px;
  /* background: #f0f7fb;
  border-radius: 3px; */
  font-size: 0.75em;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  cursor: pointer;
}

.event:hover {
  text-decoration: underline;
}

.event-allday {
  background: var(--wvblue);
  color: #fff;
  border-radius: 3px;
}

.event-bullet {
  color: var(--wvblue);
  font-size: 0.65em;
  vertical-align: middle;
  line-height: 1.5em;
}

.past-event {
  opacity: 0.6;
}

.event-agenda {
  font-size: 0.9em;
  height: 1.5em;
}

.agenda-day {
  font-size: 1.2em;
  text-align: left;
  font-weight: bold;
}

/* events.php */

a.card-link:link {
  text-decoration: none;
}

.card-event {
  position: relative;
  /* or absolute, fixed, etc. depending on layout */
  top: 0;
  transition: top 0.25s ease-in-out;
  /* Animates 'left' property over 0.5s */
}

.card-event:hover {
  /* Final state on hover */
  top: -8px;
  /* Moves the div 100px to the right */
}

.card-img-div {
  height: 12em;
  overflow: hidden;
}

/* sponsor.php */

.card-header {
  text-align: center;
  padding-top: 1em;
  padding-bottom: 1em;
}

.card-gold {
  border: 1px solid var(--wvgold);
}

.card-gold>.card-header {
  background-color: var(--wvgold);
  border-bottom: 1px solid var(--wvgold);
}

.card-blue {
  border: 1px solid var(--wvblue);
}

.card-blue>.card-header {
  color: var(--wvgold);
  background-color: var(--wvblue);
  border-bottom: 1px solid var(--wvblue);
}

.card-white {
  border: 1px solid #2E2E2E;
}

.card-white>.card-header {
  color: #fff;
  background-color: #2E2E2E;
  border-bottom: 1px solid #2E2E2E;
}

.card-mountaineer {
  border: 1px solid #2E2E2E;
}

.card-white>.card-header {
  color: #fff;
  background-color: #2E2E2E;
  border-bottom: 1px solid #2E2E2E;
}

.card-sponsor ul {
  font-size: 0.95em;
  list-style-type: none;
  /* margin: 0; */
  /* padding: 0; */
  padding-left: 1.25em;
}

.card-sponsor ul li {
  margin-bottom: 0.7em;
  /* border-left: 4px solid var(--wvgold); */
  padding-left: 0.5em;
}

.card-sponsor ul li::marker {
  font-family: 'Bootstrap-icons';
  content: '\F271';
  color: green;
  font-size: 0.9em;
}

img.polaroid {
  position: relative;
  background: #fff;
  padding: 0.7em 0.7em 4.5em 0.7em;
  border: 1px solid #ccc;
  transform: rotate(-2deg);
  z-index: 1;
}

h4.polaroid {
  position: relative;
  text-align: center;
  margin-top: -2.2em;
  font-family: 'Rock Salt', cursive;
  color: var(--wvblue);
  z-index: 10;
  transform: rotate(-3deg);
}

.why {
  margin: 2em;
  max-width: 300px;
}

.why>.card {
  filter: drop-shadow(0px 30px 10px #eeeeee);
  border: none;
}

.why-icon {
  position: relative;
  font-size: 5em;
  text-align: center;
  color: var(--wvblue);
  background-color: var(--wvgold);
  margin: 0.4em;
  border-radius: 10px;
}

/*  scores.php  */

.card-boxscore {
  padding: 1.2em;
  background-color: #F8F8F8;
}

.table-boxscore {
  border: 1px solid #DCDCDC;
  border-collapse: separate;
  border-spacing: 0;
  border-radius: 10px;
  margin: auto;
  background-color: #fff;
}

.table-boxscore th,
.table-boxscore td {
  padding: 0.4em 0.5em;
}

.table-boxscore thead tr th {
  border-bottom: 1px solid #DCDCDC;
}

.table-boxscore th[scope="row"] {
  border-right: 1px solid #DCDCDC;
  white-space: nowrap;
}

.table-boxscore td:nth-last-child(-n + 3) {
  background-color: #E6E6E6;
}

img.img-boxscore {
  max-height: 100px;
  border-radius: 50% 50%;
}

.table-teamstats {
  border: 1px solid #DCDCDC;
  border-collapse: separate;
  border-spacing: 0;
  margin: auto;
  background-color: #fff;
}

.table-teamstats th[scope="row"] {
  font-weight: normal;
}

.table-teamstats td,
.table-teamstats th[scope="col"] {
  text-align: center;
}

.table-teamstats th:first-child,
.table-teamstats td:first-child {
  text-align: left;
}

.table-teamstats th[scope="row"]:last-child {
  font-weight: bold;
}

/* .table-teamstats tr:last-child th,
.table-teamstats tr:last-child td {
  border: none;
} */

.table-teamstats>tbody>tr:last-child>* {
  border-bottom-width: 0;
  border-top-width: 2px;
}

/* analytics.php */

.table-analytics th, .table-analytics td {
  position: relative;
  padding-left: 15px;
  /* reserve space for arrow */
}

.table-analytics th::after {
  content: " ";
  /* default empty */
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

th.sorted-asc::after {
  content: "▲";
}

th.sorted-desc::after {
  content: "▼";
}